
QGIS Application - Bug report #16345

Spatial Bookmark Panel: crash on export

2017-03-12 12:01 PM - Tobias Wendorff

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24255

Description

I've created this bookmark in "Spatial Bookmark Panel":

Name = "Düsseldorf" 

Project = "" 

xMin = 6.83

yMin = 51.21

xMax = 6.85

yMax = 51.23

SRID = 4326

In Project = FALSE

When exporting it to XML, QGIS crashes immediately.

Please have a look at the animated GIF attached. I was able to reproduce this on another system. Both systems are running Windows 7,

64 bit. QGIS build was done by osgeo4w.

Associated revisions

Revision 58a8478b - 2017-05-10 11:25 AM - Alexander Bruy

prevent crash when exporting spatial bookmarks (fix #16345)

Revision d139119a - 2017-05-10 11:28 AM - Alexander Bruy

prevent crash when exporting spatial bookmarks (fix #16345)

(cherry picked from commit 58a8478b82eeb5415f730c9686909047bd4e77ec)

History

#1 - 2017-03-12 12:05 PM - Tobias Wendorff

- File qgis_bookmark_bug.gif added

Whoops, this is the correct attachment.

#2 - 2017-03-13 04:26 AM - Andre Jesus
Confirmed.

Affect 2.18.4 only, 2.14.12 and prior versions work normal.

#3 - 2017-03-13 06:29 AM - Tobias Wendorff

Andre Jesus wrote:

Affect 2.18.4 only, 2.14.12 and prior versions work normal.

To the maintainer: Please also have a look at #16350

#4 - 2017-03-13 11:43 PM - Saber Razmjooei

- Priority changed from High to Severe/Regression

- Category set to Map Tools

- Operating System set to Windows

Works fine in Ubuntu, I guess it is platform specific.

@Tobias, #16350 is not related to this bug and will be handled(???) separately.

#5 - 2017-04-24 09:34 AM - Alexandre Neto

I can confirm this on Ubuntu as well with QGIS 2.18.5. The crash throws a segmentation fault in the console.

#6 - 2017-04-29 01:08 AM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from 2.18.4 to 2.18.7

- Operating System deleted (Windows)

#7 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#8 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#9 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2017-05-10 11:25 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|58a8478b82eeb5415f730c9686909047bd4e77ec.
